edu.msu.cme.rdp.classifier

## Class GenusWordConditionalProb

- java.lang.Object
- - edu.msu.cme.rdp.classifier.GenusWordConditionalProb

    public class GenusWordConditionalProb
    extends java.lang.Object

A GenusWordConditionalProb holds the index of the genus node, and the conditional probability that genus node contains the word.

### Constructor Summary

Constructors
Constructor and Description
`GenusWordConditionalProb(int index, float prob)` Creates a new instance of GenusWordConditionalProb For a word indexed in wordConditionalProbIndexArr, it holds the index of the genus node, and the conditional probability that genus node contains the word.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getGenusIndex()` Returns the index of the genus node
`float` `getProbability()` Returns the conditional probability that the genus node contains the word.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenusWordConditionalProb

    public GenusWordConditionalProb(int index,
                                    float prob)

Creates a new instance of GenusWordConditionalProb For a word indexed in wordConditionalProbIndexArr, it holds the index of the genus node, and the conditional probability that genus node contains the word.

### Method Detail

#### getGenusIndex

    public int getGenusIndex()

Returns the index of the genus node

#### getProbability

    public float getProbability()

Returns the conditional probability that the genus node contains the word.